JsonRenderer.1 (Grails 6.0.0)

Package: grails.rest.render.json

## [Groovy] Class JsonRenderer.1

- grails.rest.render.json.JsonRenderer.1

-     class JsonRenderer.1
      extends org.grails.web.converters.marshaller.json.DeepDomainClassMarshaller

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JsonRenderer.1 ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected boolean` | `excludesProperty(java.lang.Object o, java.lang.String property)`
    `` | `protected boolean` | `includesProperty(java.lang.Object o, java.lang.String property)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.grails.web.converters.marshaller.json.DeepDomainClassMarshaller` | `org.grails.web.converters.marshaller.json.DeepDomainClassMarshaller#isIncludeVersion(), org.grails.web.converters.marshaller.json.DeepDomainClassMarshaller#isIncludeClass(), org.grails.web.converters.marshaller.json.DeepDomainClassMarshaller#setIncludeClass(boolean), org.grails.web.converters.marshaller.json.DeepDomainClassMarshaller#setIncludeVersion(boolean), org.grails.web.converters.marshaller.json.DeepDomainClassMarshaller#marshalObject(java.lang.Object, grails.converters.JSON), org.grails.web.converters.marshaller.json.DeepDomainClassMarshaller#marshalObject(java.lang.Object, org.grails.web.converters.Converter), org.grails.web.converters.marshaller.json.DeepDomainClassMarshaller#supports(java.lang.Object), org.grails.web.converters.marshaller.json.DeepDomainClassMarshaller#wait(long), org.grails.web.converters.marshaller.json.DeepDomainClassMarshaller#wait(long, int), org.grails.web.converters.marshaller.json.DeepDomainClassMarshaller#wait(), org.grails.web.converters.marshaller.json.DeepDomainClassMarshaller#equals(java.lang.Object), org.grails.web.converters.marshaller.json.DeepDomainClassMarshaller#toString(), org.grails.web.converters.marshaller.json.DeepDomainClassMarshaller#hashCode(), org.grails.web.converters.marshaller.json.DeepDomainClassMarshaller#getClass(), org.grails.web.converters.marshaller.json.DeepDomainClassMarshaller#notify(), org.grails.web.converters.marshaller.json.DeepDomainClassMarshaller#notifyAll()`

- - ### Constructor Detail

    - #### JsonRenderer.1()

  - ### Method Detail

    - #### @java.lang.Override protected boolean excludesProperty(java.lang.Object o, java.lang.String property)

    - #### @java.lang.Override protected boolean includesProperty(java.lang.Object o, java.lang.String property)